# Short Screener `GET` `https://api.unusualwhales.com/api/short_screener` Returns short interest and float data for percentage calculations based off search params. This endpoint provides information about the percentage of float that is shorted, the float size, and the days to cover metric. ## Authentication ``` Authorization: Bearer YOUR_API_KEY ``` ## Query Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `tickers` | Ticker | No | A comma separated list of tickers. To exclude certain tickers prefix the first ticker with a `-`. | | `limit` | | No | The limit of results. Default: 100. Max: 500. Min: 0. | | `offset` | | No | The offset of results. Default: 0. Min: 0. | | `min_short_interest` | | No | The min short interest. | | `max_short_interest` | | No | The max short interest. | | `min_days_to_cover` | | No | The min days to cover. | | `max_days_to_cover` | | No | The max days to cover. | | `min_si_float` | | No | The min short interest float ratio. | | `max_si_float` | | No | The max short interest float ratio. | | `min_si_float_with_synth_long_pct_of_total_shares` | | No | The min si_float_with_synth_long_pct_of_total_shares. | | `max_si_float_with_synth_long_pct_of_total_shares` | | No | The max si_float_with_synth_long_pct_of_total_shares. | | `min_total_float` | | No | The min total float. | | `max_total_float` | | No | The max total float. | | `order_by` | ShortScreenerOrderBy | No | ordering options. | | `order_direction` | OrderDirection | No | Whether to sort descending or ascending. Descending by default. | | `min_market_date` | Market Date | No | A trading date in the format of YYYY-MM-DD. | | `max_market_date` | Market Date | No | A trading date in the format of YYYY-MM-DD. | | `min_fee_rate` | | No | The min fee rate. | | `max_fee_rate` | | No | The max fee rate. | | `min_rebate_rate` | | No | The min rebate rate. | | `max_rebate_rate` | | No | The max rebate rate. | | `min_short_shares_available` | | No | The min short shares available. | | `max_short_shares_available` | | No | The max short shares available. | ## Response (200) | Field | Type | Description | |-------|------|-------------| | `days_to_cover` | string | The estimated number of days to cover all short positions based on average daily trading volume. | | `fee_rate` | date | The fee rate. | | `market_date` | date | The date of the short interest data. | | `rebate_rate` | date | The rebate rate. | | `short_interest` | integer | The total number of shares sold short. | | `short_shares_available` | date | The short shares available. | | `si_float` | string | The short interest float ratio. | | `si_float_with_synth_long_pct_of_total_shares` | string | The short interest float ratio with volume of shares sold short added to total float. | | `symbol` | string | The ticker symbol. | | `total_float` | integer | The float (available shares for trading). | ## Example ### curl ```bash curl -X GET "https://api.unusualwhales.com/api/short_screener" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Accept: application/json" ``` ### Python ```python import http.client conn = http.client.HTTPSConnection("api.unusualwhales.com") headers = {"Authorization": "Bearer YOUR_API_KEY", "Accept": "application/json"} conn.request("GET", "/api/short_screener", headers=headers) response = conn.getresponse() print(response.read().decode("utf-8")) ``` ## Response Example ```json { "data": { "days_to_cover": "2.1", "fee_rate": "0.2782", "market_date": "2023-04-15", "rebate_rate": "3.3518", "short_interest": 75000, "short_shares_available": 10000000, "si_float": "0.017647058", "si_float_with_synth_long_pct_of_total_shares": "0.01734104046", "symbol": "EXMP", "total_float": 4250000 } } ```